Index: NewArmyDialog.cs
===================================================================
--- NewArmyDialog.cs	(revision 496)
+++ NewArmyDialog.cs	(working copy)
@@ -27,10 +27,15 @@
 			PopulateControls();
 			layout.gameSystems.CurrentIndex = -1;
 			QObject.Connect(layout.gameSystems, SIGNAL("currentIndexChanged(int)"), GameSystemSelectionChanged);
+			QObject.Connect(layout.raceList, SIGNAL("currentRowChanged(int)"),RaceTypeChanged);
 			QObject.Connect(layout.armyName, SIGNAL("textChanged(QString)"), ArmyNameChanged);
 			QObject.Connect(layout.armySize, SIGNAL("valueChanged(int)"), ArmySizeChanged);
 			SetOkayButtonState(false);
 		}
+		private void RaceTypeChanged()
+		{
+			ValidateForm();
+		}
 		
 		private void SetOkayButtonState (bool boolValue)
 		{
